<template>
  <div class="row">
    <div class="col-md-3 mb-3">
      <card :title="$t('categories')" class="settings-card">
        <ul class="nav flex-column nav-pills">
          <li v-for="category in categories" :key="category.id" class="nav-item">
            <router-link :to="{ name: 'shop.category', params: { id: category.id } }" class="nav-link" active-class="active">
              {{ category.name }}
            </router-link>
          </li>
        </ul>
      </card>
    </div>

    <div class="col-md-9">
      <transition name="page">
        <router-view />
      </transition>
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters({
      categories: "shop/categories",
    }),

    tabs () {
      return [
        {
          icon: 'user',
          name: this.$t('profile'),
          route: 'panel.profile'
        },
        {
          icon: 'lock',
          name: this.$t('password'),
          route: 'panel.password'
        },
        {
          icon: 'list-ol',
          name: this.$t('orders'),
          route: 'panel.orders'
        },
        {
          icon: 'plus',
          name: this.$t('topups'),
          route: 'panel.topups'
        }
      ]
    },
  }
}
</script>

<style>
.settings-card .card-body {
  padding: 0;
}
</style>
